"use strict";
// Copyright IBM Corp. 2020. All Rights Reserved.
// Node module: @loopback/example-multi-tenancy
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiTenancyComponent = void 0;
const core_1 = require("@loopback/core");
const multi_tenancy_action_provider_1 = require("./actions/multi-tenancy-action.provider");
const keys_1 = require("./keys");
const strategies_1 = require("./strategies");
class MultiTenancyComponent {
    constructor() {
        this.bindings = [
            core_1.createBindingFromClass(multi_tenancy_action_provider_1.MultiTenancyActionProvider, {
                key: keys_1.MultiTenancyBindings.ACTION,
            }),
            core_1.createBindingFromClass(strategies_1.JWTStrategy).apply(core_1.extensionFor(keys_1.MULTI_TENANCY_STRATEGIES)),
            core_1.createBindingFromClass(strategies_1.HeaderStrategy).apply(core_1.extensionFor(keys_1.MULTI_TENANCY_STRATEGIES)),
            core_1.createBindingFromClass(strategies_1.QueryStrategy).apply(core_1.extensionFor(keys_1.MULTI_TENANCY_STRATEGIES)),
            core_1.createBindingFromClass(strategies_1.HostStrategy).apply(core_1.extensionFor(keys_1.MULTI_TENANCY_STRATEGIES)),
        ];
    }
}
exports.MultiTenancyComponent = MultiTenancyComponent;
//# sourceMappingURL=component.js.map